Skip to main content
PATCH
/
contacts
/
{contact_id}
Update Contact
curl --request PATCH \
  --url https://api.meow.com/v1/contacts/{contact_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "nickname": "<string>",
  "email": "jsmith@example.com",
  "address": {
    "street_line_1": "<string>",
    "city": "<string>",
    "country": "AW",
    "street_line_2": "<string>",
    "state": "<string>",
    "postal_code": "<string>"
  },
  "counterparty": {
    "name_on_account": "<string>",
    "nickname": "<string>",
    "ach": {
      "account_number": "<string>",
      "account_type": "checking",
      "routing_number": "<string>",
      "address_on_account": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      }
    },
    "wire": {
      "account_number": "<string>",
      "routing_number": "<string>",
      "address_on_account": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      },
      "bank_address": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      },
      "bank_name": "<string>",
      "intermediary_bank": {
        "name": "<string>",
        "routing_number": "<string>",
        "address": {
          "street_line_1": "<string>",
          "city": "<string>",
          "country": "AW",
          "postal_code": "<string>",
          "street_line_2": "<string>",
          "state": "<string>"
        }
      }
    },
    "check": {
      "address": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      },
      "created_time": "2023-11-07T05:31:56Z",
      "updated_time": "2023-11-07T05:31:56Z"
    },
    "plaid_processor_token": "<string>",
    "email": "jsmith@example.com",
    "company_ids": [
      "<string>"
    ]
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "nickname": "<string>",
  "payment_methods": {
    "ach": {
      "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name_on_account": "<string>",
      "nickname": "<string>",
      "account_type": "checking",
      "account_number": "<string>",
      "routing_number": "<string>",
      "address_on_account": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      }
    },
    "wire": {
      "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name_on_account": "<string>",
      "nickname": "<string>",
      "bank_name": "<string>",
      "account_number": "<string>",
      "routing_number": "<string>",
      "beneficiary_address": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      },
      "bank_address": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      },
      "intermediary_bank": {
        "name": "<string>",
        "routing_number": "<string>",
        "address": {
          "street_line_1": "<string>",
          "city": "<string>",
          "country": "AW",
          "postal_code": "<string>",
          "street_line_2": "<string>",
          "state": "<string>"
        }
      }
    },
    "check": {
      "counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name_on_account": "<string>",
      "nickname": "<string>",
      "mailing_address": {
        "street_line_1": "<string>",
        "city": "<string>",
        "country": "AW",
        "postal_code": "<string>",
        "street_line_2": "<string>",
        "state": "<string>"
      }
    },
    "international": {
      "beneficiary_id": "<string>",
      "preferred_currency": "AED"
    },
    "crypto": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "destination_address": "<string>",
        "destination_payment_rail": "arbitrum",
        "destination_currency": "usdb"
      }
    ],
    "static_memos": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "destination_address": "<string>",
        "destination_payment_rail": "arbitrum",
        "destination_payment_currency": "usdb"
      }
    ]
  },
  "supported_payment_methods": [
    "ach"
  ],
  "email": "jsmith@example.com",
  "address": {
    "street_line_1": "<string>",
    "city": "<string>",
    "country": "AW",
    "postal_code": "<string>",
    "street_line_2": "<string>",
    "state": "<string>"
  },
  "last_payment_reason": "audio_visual_services"
}

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Path Parameters

contact_id
string<uuid>
required

Contact identifier.

Body

application/json
nickname
string | null
Required string length: 1 - 300
email
string<email> | null
address
MeowAddressRequest · object
counterparty
CounterpartyDetailsRequest · object

Response

Successful Response

id
string<uuid>
required

The unique identifier for the contact

nickname
string
required

A nickname or display name for the contact

Required string length: 1 - 400
payment_methods
CustomerApiPaymentMethods · object
required

Payment methods associated with this contact

supported_payment_methods
enum<string>[]
required

List of payment methods supported by this contact

Available options:
ach,
wire,
check,
international,
crypto,
static_memo
email
string<email> | null

The email address of the contact

address
MeowApiAddress · object

The physical address of the contact

last_payment_reason
enum<string> | null

The reason for the last payment made to this contact

Available options:
audio_visual_services,
bill_payment,
business_expenses,
construction,
donation_charitable_contribution,
education_training,
family_support,
freight,
goods_purchased,
investment_capital,
investment_proceeds,
living_expenses,
loan_credit_repayment,
medical_services,
pension,
personal_remittance,
professional_business_services,
real_estate,
taxes,
technical_services,
transfer_to_own_account,
travel,
wages_salary,
other_services